OpenSSH(scp)の脆弱性情報(Important: CVE-2018-20685)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

01/10/2019にOpenSSHの脆弱性情報(Important: CVE-2018-20685)が公開されています。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


2019/01/11 20:30 SuSEの情報を追加しました。PriorityをImportantにしました。

2019/01/16 10:10 脆弱性がサーバ側かクライアント側か不正確な表現だったため、表現を変更しました。(ご指摘頂きまして有難うございます。m(__)m



Priority

  • CVE-2018-20685

    Important

    • SuSE
      • CVSS v3 Base Score: 7.3
      • Vector: AV:N/AC:L/PR:L/UI:R/S:U/C:N/I:H/A:H
    • Red Hat Customer Potal
      • CVSS v3 Base Score: 7.5
      • Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
    • NVD

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-20685
    • scpクライアントでの不適切なファイル名検証
    • 重要度 - Important
    • OpenSSH 7.9のscpクライアントのscp.cでは、ファイル名の検証を適切に行っていませんでした。これにより、悪意のあるサーバは、"."や空のファイル名を使用することでアクセス制御をバイパスすることが出来ます。

      この問題の修正は以下になります。

      
      		SCREWUP("size out of range");
      		size = (off_t)ull;
      
      	-	if ((strchr(cp, '/') != NULL) || (strcmp(cp, "..") == 0)) {
      	+	if (*cp == '\0' || strchr(cp, '/') != NULL ||
      	+	    strcmp(cp, ".") == 0 || strcmp(cp, "..") == 0) {
      			run_err("error: unexpected filename: %s", cp);
      			exit(1);
      		}
      

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、peacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

セキュリティ系連載案内

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

systemdの複数の脆弱性情報(System Down: A systemd-journald exploit: CVE-2018-16864, CVE-2018-16865, CVE-2018-16866)

次へ

Docker Engineの脆弱性情報(CVE-2018-20699)